/*
 * Copyright 2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_TIMER_H_
#define INC_TIMER_H_

#include <stdint.h>

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

void Timer_init(void);
void Timer_start(uint32_t cmp);
void Timer_set_compare(uint32_t cmp);
void Timer_stop(void);

// This is incremented on each interrupt.
// App can choose to clear it each time, so it acts as a flag,
// or allow it to increment, to treat it as a counter.
extern volatile uint32_t Timer_triggerCount;

// app should define this to do interrupt actions
void Timer_triggered(void);

#if defined(__cplusplus)
}
#endif

#endif /* INC_TIMER_H_ */
