/*
 * Copyright 2017-2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief The deprecated Thingstream Transport short name APIs
 */

#ifndef INC_THINGSTREAM_DEPRECATED_TRANSPORT_SHORT_NAMES_H_
#define INC_THINGSTREAM_DEPRECATED_TRANSPORT_SHORT_NAMES_H_
#ifndef THINGSTREAM_NO_SHORT_NAMES

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

/**
 * @addtogroup legacy
 * @{
 */

/** @deprecated                renamed to Thingstream_createProtocolLogger() */
#define log_thingstream_transport_create  Thingstream_createProtocolLogger

/** @deprecated          renamed to Thingstream_createModemLogger() */
#define log_modem_transport_create  Thingstream_createModemLogger

/** @deprecated             renamed to Thingstream_createProtocolTransport() */
#define thingstream_transport_create   Thingstream_createProtocolTransport

/** @deprecated                           renamed to Thingstream_Protocol_setUssdSessionDelay() */
#define thingstream_transport_set_ussd_session_delay Thingstream_Protocol_setUssdSessionDelay

/** @deprecated         renamed to Thingstream_createModemUssdTransport() */
#define modem_transport_create     Thingstream_createModemUssdTransport

/** @deprecated         renamed to Thingstream_ModemUssd_sendLine() */
#define Modem_send_line            Thingstream_ModemUssd_sendLine

/** @deprecated        renamed to #Thingstream_Modem_initString */
#define ModemInitString            Thingstream_Modem_initString

/** @deprecated        renamed to #Thingstream_Modem_informationString */
#define ModemInformationString     Thingstream_Modem_informationString

/** @deprecated        renamed to #Thingstream_Modem_ussdEndSessionString */
#define ModemUssdEndSessionString  Thingstream_Modem_ussdEndSessionString

/** @deprecated        renamed to #Thingstream_Modem_forceResetString */
#define ModemForceResetString      Thingstream_Modem_forceResetString

/** @deprecated Alias for #ThingstreamModemCallback_t */
#define Modem_callback ThingstreamModemCallback_t

/** @deprecated         renamed to Thingstream_ModemUssd_setCallback() */
#define Modem_set_modem_callback   Thingstream_ModemUssd_setCallback

/** @deprecated         renamed to Thingstream_ModemUssd_clearCallback() */
#define Modem_clear_modem_callback Thingstream_ModemUssd_clearCallback

/** @deprecated renamed to Thingstream_Modem2_setCallback() */
#define Modem2_set_modem_callback   Thingstream_Modem2_setCallback

/** @deprecated renamed to Thingstream_Modem2_clearCallback() */
#define Modem2_clear_modem_callback Thingstream_Modem2_clearCallback

/** @deprecated         renamed to Thingstream_ModemUssd_getCUSDErrors() */
#define Modem_get_CUSD_errors      Thingstream_ModemUssd_getCUSDErrors

/** @deprecated         renamed to Thingstream_ModemUssd_getSeriousErrors() */
#define Modem_get_serious_errors   Thingstream_ModemUssd_getSeriousErrors

/** @deprecated   renamed to Thingstream_createBase64CodecTransport() */
#define base64_codec_create  Thingstream_createBase64CodecTransport

/** @deprecated           renamed to Thingstream_createClientLogger() */
#define log_client_transport_create  Thingstream_createClientLogger

/** @deprecated               renamed to Thingstream_createLineBufferTransport() with an extra argument */
#define line_buffer_transport_create Thingstream__createLegacyLineBufferTransport

/** @deprecated renamed to Thingstream_createModem2Transport() */
#define modem2_transport_create     Thingstream_createModem2Transport

/** @deprecated renamed to Thingstream_Modem2_sendLine() */
#define Modem2_send_line            Thingstream_Modem2_sendLine

/** @deprecated renamed to Thingstream_Modem2_getCUSDErrors() */
#define Modem2_get_CUSD_errors      Thingstream_Modem2_getCUSDErrors

/** @deprecated renamed to Thingstream_Modem2_getSeriousErrors() */
#define Modem2_get_serious_errors   Thingstream_Modem2_getSeriousErrors

/** @deprecated Alias for #ThingstreamTransport */
typedef ThingstreamTransport Transport;

/** @deprecated Alias for #ThingstreamPrintf_t */
typedef ThingstreamPrintf_t transport_logger;

/** @deprecated Alias for #ThingstreamTransportResult */
typedef ThingstreamTransportResult TransportResult;

/** @deprecated Alias for #ThingstreamTransportCallback_t */
typedef ThingstreamTransportCallback_t Transport_callback;

/** @deprecated Alias for #ThingstreamTransportState_t */
typedef ThingstreamTransportState_t TransportState;

/** @deprecated         renamed to Thingstream_createCustomModemTransport() */
#define custom_modem_transport_create  Thingstream_createCustomModemTransport

/*! @} */


#if defined(__cplusplus)
}
#endif

#endif /* THINGSTREAM_NO_SHORT_NAMES */
#endif /* INC_THINGSTREAM_DEPRECATED_TRANSPORT_SHORT_NAMES_H_ */
